Skip to content

Create or update a draft from a reply suggestion

POST
/emails/{id}/draft-reply

When the selected email is a sent reply, the draft is created or updated against the latest non-sent message in the thread.

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*
Type
string
Required

Request Body

application/json
JSON
{
  
"from": "string",
  
"to": [
  
  
"string"
  
],
  
"cc": [
  
  
"string"
  
],
  
"bcc": [
  
  
"string"
  
],
  
"subject": "string",
  
"body_text": "string",
  
"body_html": "string"
}

Responses

OK

application/json
JSON
{
  
"draft": {
  
  
"_id": "string",
  
  
"source_email": "string",
  
  
"from": "string",
  
  
"to": [
  
  
  
"string"
  
  
],
  
  
"cc": [
  
  
  
"string"
  
  
],
  
  
"bcc": [
  
  
  
"string"
  
  
],
  
  
"subject": "string",
  
  
"body_text": "string",
  
  
"body_html": "string",
  
  
"status": "string",
  
  
"generated_by_triage": true,
  
  
"confidence": 0,
  
  
"project": "string",
  
  
"host_id": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI